Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit
Class JPAWorkingMemoryDbLogger

    java.lang.Object
      org.jbpm.process.audit.AbstractAuditLogger
          org.jbpm.process.audit.JPAWorkingMemoryDbLogger

All Implemented Interfaces:
  EventListener, ProcessEventListener

    public class JPAWorkingMemoryDbLogger

extends AbstractAuditLogger

Enables history log via JPA.

Field Summary

Fields inherited from class org.jbpm.process.audit.AbstractAuditLogger
`AFTER_COMPLETE_EVENT_TYPE, AFTER_NODE_ENTER_EVENT_TYPE, AFTER_NODE_LEFT_EVENT_TYPE, AFTER_START_EVENT_TYPE, AFTER_VAR_CHANGE_EVENT_TYPE, BEFORE_COMPLETE_EVENT_TYPE, BEFORE_NODE_ENTER_EVENT_TYPE, BEFORE_NODE_LEFT_EVENT_TYPE, BEFORE_START_EVENT_TYPE, BEFORE_VAR_CHANGE_EVENT_TYPE, builder`

Constructor Summary
`JPAWorkingMemoryDbLogger()`
`JPAWorkingMemoryDbLogger(javax.persistence.EntityManagerFactory emf)`
`JPAWorkingMemoryDbLogger(javax.persistence.EntityManagerFactory emf, Environment env)`
`JPAWorkingMemoryDbLogger(Environment env)`
`JPAWorkingMemoryDbLogger(KieSession session)`
`JPAWorkingMemoryDbLogger(org.drools.core.WorkingMemory workingMemory)`

Method Summary
`void` | `afterNodeLeft(ProcessNodeLeftEvent event)` This listener method is invoked right after a node in a process instance has been left (which is when the node was completed, for example when it performed the task it was designed for).
`void` | `afterNodeTriggered(ProcessNodeTriggeredEvent event)` This listener method is invoked right after a node in a process instance has been triggered (which is when the node was entered, for example when an incoming connection triggered it).
`void` | `afterProcessCompleted(ProcessCompletedEvent event)` This listener method is invoked right after a process instance has been completed (or aborted).
`void` | `afterProcessStarted(ProcessStartedEvent event)` This listener method is invoked right after a process instance has been started.
`void` | `afterVariableChanged(ProcessVariableChangedEvent event)` This listener method is invoked right after the value of a process variable has been changed.
`void` | `beforeNodeLeft(ProcessNodeLeftEvent event)` This listener method is invoked right before a node in a process instance is being left (which is when the node is completed, for example when it has performed the task it was designed for).
`void` | `beforeNodeTriggered(ProcessNodeTriggeredEvent event)` This listener method is invoked right before a node in a process instance is being triggered (which is when the node is being entered, for example when an incoming connection triggers it).
`void` | `beforeProcessCompleted(ProcessCompletedEvent event)` This listener method is invoked right before a process instance is being completed (or aborted).
`void` | `beforeProcessStarted(ProcessStartedEvent event)` This listener method is invoked right before a process instance is being started.
`void` | `beforeVariableChanged(ProcessVariableChangedEvent event)` This listener method is invoked right before the value of a process variable is being changed.
`void` | `dispose()`
`protected static UserTransaction` | `findUserTransaction()`

Methods inherited from class org.jbpm.process.audit.AbstractAuditLogger
`getBuilder, setBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPAWorkingMemoryDbLogger

    public JPAWorkingMemoryDbLogger(org.drools.core.WorkingMemory workingMemory)

### JPAWorkingMemoryDbLogger

    public JPAWorkingMemoryDbLogger(KieSession session)

### JPAWorkingMemoryDbLogger

    public JPAWorkingMemoryDbLogger(javax.persistence.EntityManagerFactory emf)

### JPAWorkingMemoryDbLogger

    public JPAWorkingMemoryDbLogger()

### JPAWorkingMemoryDbLogger

    public JPAWorkingMemoryDbLogger(javax.persistence.EntityManagerFactory emf,
                                    Environment env)

### JPAWorkingMemoryDbLogger

    public JPAWorkingMemoryDbLogger(Environment env)

Method Detail

### beforeNodeTriggered

    public void beforeNodeTriggered(ProcessNodeTriggeredEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right before a node in a process instance is being triggered (which is when the node is being entered, for example when an incoming connection triggers it).

### afterNodeLeft

    public void afterNodeLeft(ProcessNodeLeftEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right after a node in a process instance has been left (which is when the node was completed, for example when it performed the task it was designed for).

### afterVariableChanged

    public void afterVariableChanged(ProcessVariableChangedEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right after the value of a process variable has been changed.

### beforeProcessStarted

    public void beforeProcessStarted(ProcessStartedEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right before a process instance is being started.

### afterProcessCompleted

    public void afterProcessCompleted(ProcessCompletedEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right after a process instance has been completed (or aborted).

### afterNodeTriggered

    public void afterNodeTriggered(ProcessNodeTriggeredEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right after a node in a process instance has been triggered (which is when the node was entered, for example when an incoming connection triggered it).

### beforeNodeLeft

    public void beforeNodeLeft(ProcessNodeLeftEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right before a node in a process instance is being left (which is when the node is completed, for example when it has performed the task it was designed for).

### beforeVariableChanged

    public void beforeVariableChanged(ProcessVariableChangedEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right before the value of a process variable is being changed.

### afterProcessStarted

    public void afterProcessStarted(ProcessStartedEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right after a process instance has been started.

### beforeProcessCompleted

    public void beforeProcessCompleted(ProcessCompletedEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right before a process instance is being completed (or aborted).

### dispose

    public void dispose()

### findUserTransaction

    protected static UserTransaction findUserTransaction()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.